# Idée

utiliser des données géographiques pour faire un Quizz.

# Données par pays

* Drapeau, 
* Capitale Carte.

# Technos:

* Besoin Lecture XML (mais convertissable en JSON) pour lire le fichier data_en-GB.xml
* Tricky: retrouver le système de gestion des images.

# Notes

## data_en-GB.xml

On trouve une liste de pays, classés par code *iso* (trois lettres*). On a le
nom du pays, la capitale et la région (au sens de continent).

Le code de pays est réutilisé ailleurs.

## flags

* Fichiers de drapeau en SVG, nommés par code ISO.

## Cartes (maps...)

Les images des répertoires map_X ont l'air d'être les noeuds d'un quadtree. 

*Indice 1*, les nombres de d'image par répertoire.

* map_1 31
* map_2 102
* map_4 321
* map_8 1019

*Indice 2* Nommage des fichiers:  *Numéro noeud père*_*numéro de fils*

- Sur map_1, les pères vont de 0 à 7, les fils vont de 0 à 3.
- Sur map_2, les pères vont de 0 à 15, les fils vont de 0 à 7.
- Sur map_4, les pères vont de 0 à 31, les fils vont de 0 à 15.
- Sur map_8, les pères vont de 0 à 63, les fils vont de 0 à 31.

Voir aussi le fichier map.svg.txt.

~~~
map_1/%1_%2.png;1;8;4
map_2/%1_%2.png;2;16;8
map_4/%1_%2.png;4;32;16
map_8/%1_%2.png;8;64;32
~~~

### SVG

Quand on regarde le contenu du SVG `map.svg` comme un fichier de données
    (c'est du XML), on trouve des groupes avec des id qui correspondent aux
    codes de pays. Ces groupes contiennent des chemins qui pourraient bien être
    les frontières d'un pays.



