import QtQuick 2.15
import QtQuick.Window 2.15

Window {
    width: 640
    height: 480
    visible: true
    title: qsTr("Hello World")



    NetIf {
        id: netif
        name: netint.name
        address: netint.address
        iface: netint
    }

    ListView {
        anchors.top: netif.bottom
        anchors.bottom: parent.bottom
        width: parent.width

        model: superliste
        delegate: NetIf {
            name: modelData.name
            address: modelData.address
            iface: modelData
        }
    }

}
