import QtQuick 2.15
import QtQuick.Controls 2.15
import trump.hatesScience 1.0


Row {
    property alias name: name.text
    property alias address: address.text
    property NetworkInterface iface

    spacing: 40
    Text {
        id: name
        font.pointSize: 42
        anchors.verticalCenter: parent.verticalCenter
    }
    Text {
        id: address
        font.pointSize: 36
        anchors.verticalCenter: parent.verticalCenter
    }

    Button {
        text: "Shutdown"
        onClicked: {
            console.log("Sutting down")
            parent.iface.shutdown()
        }
        anchors.verticalCenter: parent.verticalCenter
    }
}
